import { SimpleGrid } from '@chakra-ui/react';
import { ClassCard } from './ClassCard';

interface ClassGridProps {
  classes: Array<{
    className: string;
    price: string;
    vehicle: string;
    imageUrl: string;
  }>;
}

export const ClassGrid: React.FC<ClassGridProps> = ({ classes }) => {
  return (
    <SimpleGrid columns={{ sm: 2, md: 3 }} spacing={10} p={10}>
      {classes.map((classInfo, index) => (
        <ClassCard
          key={index}
          className={classInfo.className}
          price={classInfo.price}
          vehicle={classInfo.vehicle}
          imageUrl={classInfo.imageUrl}
        />
      ))}
    </SimpleGrid>
  );
};
