import React from "react";
import {
  Box,
  Flex,
  Spacer,
  Text,
  ChakraProvider,
  extendTheme,
  Link,
  Icon,
  Image,
} from "@chakra-ui/react";
import Admin from '../assets/Admin.svg';
import KarsusLogo from '../assets/logo_horizontal.svg'

const theme = extendTheme({
  fonts: {
    body: "Roboto Bold, sans-serif",
  },
});

// ... (previous imports)

const Navbar = () => {
  return (
    <ChakraProvider theme={theme}>
      <Box
        bg="#FDB235"
        color="#02033B"
        p={4}
        fontSize="lg"
        fontWeight="bold"
        display={{ md: "flex" }}
        alignItems="center"
        justifyContent="space-between"
        width="100%"
        maxWidth="100%"
        marginX="auto"
        position="relative"
      >
        <Image
          src={KarsusLogo}
          alt="Logo"
          boxSize={32}
          h={12}
          objectFit="contain"
        />

        {/* Links */}
        <Flex display={{ base: "none", md: "flex" }}>
          <Box
            mx={10}
            position="relative"
            fontWeight="bold"
            padding= '10px'
            style={{ whiteSpace: 'nowrap' }}
            _hover={{
              color: 'white',
              bgColor: '#02033B',
              rounded: 'md',
            }}
          >
            <Link
              fontWeight="bold" // Make the link text bold
              _hover={{
                color: 'white',
              }}
            >
              Data Kelas
            </Link>
          </Box>
          <Box
            mx={10}
            position="relative"
            fontWeight="bold"
            rounded= 'md'
            padding='10px'
            style={{ whiteSpace: 'nowrap' }}
            _hover={{
              color: 'white',
              bgColor: '#02033B',
            }}
          >
            <Link
              fontWeight="bold" // Make the link text bold
              _hover={{
                textColor: 'white',
              }}
            >
              Data Siswa
            </Link>
            
          </Box>
          <Box
            mx={10}
            position="relative"
            fontWeight="bold"
            rounded ='md'
            padding ='10px'
            style={{ whiteSpace: 'nowrap' }}
            _hover={{
              color: 'white',
              bgColor: '#02033B',
            }}
          >
            <Link
              fontWeight="bold" // Make the link text bold
              _hover={{
                color: 'white',
              }}
            >
              Data Kendaraan
            </Link>
            
          </Box>
        </Flex>

        <Spacer mx={48} />

        {/* Admin Greeting */}
        <Flex alignItems="center">
          <Text mr={4} fontWeight="bold" style={{ whiteSpace: 'nowrap' }}>Hi, Admin</Text>
          <Image src={Admin} boxSize={6} />
        </Flex>
      </Box>
    </ChakraProvider>
  );
};

export default Navbar;