import React from "react";
import Navbar from "../components/NavbarOwner"
import { Box, Text, Flex, Image, IconButton } from "@chakra-ui/react";
import Searchbar from "../components/Searchbar";
import TableComponent from "../components/TableVehicleOwner";
import Plus from "../assets/plus_button.svg";

interface VehicleData {
  id: number;
  vehicle: string;
  mileage: string;
  plate: string;
  type: string;
  lastService: string;
  status: boolean;
}

const VehicleDataOwner: React.FC = () => {
  const vehicleData: VehicleData[] = [
    {
      id: 1,
      vehicle: 'Toyota Corolla',
      mileage: '50000 KM',
      plate: 'AB-123-CD',
      type: 'Sedan',
      lastService: '2023-01-15',
      status: true,
    },
    {
      id: 2,
      vehicle: 'Honda Civic',
      mileage: '62000 KM',
      plate: 'XY-456-ZD',
      type: 'Coupe',
      lastService: '2023-02-20',
      status: false,
    },
    // ... more vehicle data
  ];

  return (
    <>
      <Navbar />
      <Flex
        direction="column"
        minHeight="100vh"
        bg="#F5F8FD" // Set the background color for the entire section here
        alignItems="center" // Center content horizontally
      >
        <Box
          mt={8}
          maxW="2880px"
          display="flex"
          flexDirection="column"
          alignItems="center" // Center items vertically
          style={{ whiteSpace: 'nowrap' }}
        >
          <Text
            as="h1"
            fontSize="2xl"
            color="#02033B"
            fontWeight="bold"
            marginTop="50px"
          >
            Data Kendaraan
          </Text>

          <Flex
            maxW="1000px"
            mt="20px"
            justify="space-between" // Space out the items
            width="100%"
          >
            <Searchbar />

            <Box>
              <IconButton
                aria-label="Add"
                icon={<Image src={Plus} boxSize="3rem" />} /* Adjust the boxSize to your desired height */
                //onClick={handleClick}
                size="lg"
                variant="ghost"
              />
            </Box>
          </Flex>
        </Box>

        <Flex
          mt={24}
          maxW="10000px"
          justify="center" // Center the content horizontally
        >
          <TableComponent data={vehicleData} />
        </Flex>
      </Flex>
    </>
  );
};

export default VehicleDataOwner;

